summaryrefslogtreecommitdiff
path: root/test/windows/odb/all
diff options
context:
space:
mode:
Diffstat (limited to 'test/windows/odb/all')
-rwxr-xr-xtest/windows/odb/all26
1 files changed, 16 insertions, 10 deletions
diff --git a/test/windows/odb/all b/test/windows/odb/all
index e4a5532..9b91ca3 100755
--- a/test/windows/odb/all
+++ b/test/windows/odb/all
@@ -9,53 +9,59 @@ function error ()
function usage ()
{
- error "usage: $0 vc-version database conf plat [action]"
+ error "usage: $0 qt-version vc-version database conf plat [action]"
error " valid configurations are: {Debug,Release}|all"
error " valid platforms are: {Win32,x64}|all"
error " valid actions are: /Build (default), /Clean, and /Rebuild"
}
if [ "$1" = "" ]; then
- error vc version expected
+ error qt version expected
usage
exit 1
fi
if [ "$2" = "" ]; then
+ error vc version expected
+ usage
+ exit 1
+fi
+
+if [ "$3" = "" ]; then
error database expected
usage
exit 1
else
- if [ "$2" = "all" ]; then
+ if [ "$3" = "all" ]; then
databases="mssql oracle pgsql sqlite mysql"
else
- databases=$2
+ databases=$3
fi
fi
-if [ "$3" = "" ]; then
+if [ "$4" = "" ]; then
error configuration expected
usage
exit 1
fi
-if [ "$4" = "" ]; then
+if [ "$5" = "" ]; then
error platform expected
usage
exit 1
fi
-action=$5
+action=$6
if [ "$action" == "" ]; then
action=/Build
fi
for d in $databases; do
- cmd.exe /C setenv.bat "$1" build.bat "$d" "$1" "$3" "$4" "$action"
+ cmd.exe /C setenv.bat "$2" build.bat "$d" "$1" "$2" "$4" "$5" "$action"
cd odb-tests-$d
- cmd.exe /C ..\\setenv.bat "$1" test.bat "$d"
+ cmd.exe /C ..\\setenv.bat "$2" test.bat "$d"
cd ..
cd odb-examples-$d
- cmd.exe /C ..\\setenv.bat "$1" test.bat "$d"
+ cmd.exe /C ..\\setenv.bat "$2" test.bat "$d"
cd ..
done